function u = fibonacci_func(n)
% La funzione u = fibonacci_func(n) calcola l'n-esimo
% termine della successione di Fibonacci definita da:
% 
% u(n) = u(n-1) + u(n-2)
%
% con condizioni iniziali 
% 
% u(1) = u(2) = 1
% 

if(nargin<1),
    n = 10; % valore standard
end

if(n<3),
    error('il valore di n deve essere maggiore di 2')
end;

u = zeros(1,n); % preallocazione memoria

u(1) = 1;
u(2) = 1; % condizioni iniziali

for k = 3:n,
    u(k) = u(k-1) + u(k-2);
end;

return

